<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Pedidos del MPS') }}</title>
    <link rel="icon" type="image/x-icon" href="/assets/favicon.png">

    <!-- Fonts -->
    <script src="https://kit.fontawesome.com/9235d1c676.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="{{ mix('css/app.css') }}">
    @yield('stylesheets')
</head>
<body class="has-navbar-fixed-top">
    <div id="root">
        <form id="logout-form"
              action="{{ route('logout') }}"
              method="POST"
              class="d-none"
              hidden="hidden">
            @csrf
        </form>
        <main id="main" class="py-4 has-top-padding">
            @yield('content')
        </main>
    </div>
    <!-- Scripts -->
    <script src="{{ mix('js/app.js') }}" defer></script>
    @yield('scripts')
</body>
</html>
