import Vue from 'vue';
import Vuex from 'vuex';
import admin from "./modules/admin";
import login from "./modules/login";
import pedido from "./modules/pedido";
import productos from "./modules/productos";
import ui from "./modules/ui";

Vue.use(Vuex);

export default new Vuex.Store({
    modules: {
        admin,
        login,
        pedido,
        productos,
        ui,
    },
});
